# SPDX-License-Identifier: MIT
%global project_name gentium
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 5.000
%global source_release 7
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt documentation/*.txt documentation/*.odt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Gentium Plus
%global fonts_summary            Gentium Plus, a Latin/Greek/Cyrillic font family
%global fonts_tags               %{expand:
Suggests: font(gentiumbasic)
}
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Gentium is a font family designed to enable the diverse ethnic groups around
the world who use the Latin, Cyrillic and Greek scripts to produce readable,
high-quality publications.

Gentium was a winner of the TDC2003 Type Design Competition and was exhibited
as part of the bukva:raz! exhibit at the UN Headquarters Main Lobby, 17 Jan –
13 Feb, 2002.}

%auto_init
%auto_pkg

%sourcelist
https://software.sil.org/downloads/r/%{project_name}/%{archive_name}.zip
60-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt documentation/*.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
